.events-section{
    background:#fff;
    border-radius:30px;
    max-width:1700px;
    margin:auto;
}

.eventSwiper{
    overflow:hidden;
    width:100%;
    padding:0 0 8px;
}

.eventSwiper .swiper-wrapper{
    align-items:stretch;
}

.eventSwiper .swiper-slide{
    width:min(47vw, 1060px) !important;
    max-width:1060px;
    height:auto;
    opacity:.5;
    transform:scale(.92);
    transition:transform .35s ease, opacity .35s ease;
}

.eventSwiper .swiper-slide-active{
    opacity:1;
    transform:scale(1);
}
.events-header{
    margin-bottom:40px;
}

.events-label{
    display:block;
    color:#d7263d;
    letter-spacing:4px;
    font-size:14px;
    font-weight:600;
    margin-bottom:10px;
}

.events-title{
    font-size:64px;
    line-height:1.1;
    color:#0f172a;
    font-weight:700;
}

.event-card{
    background:#fff;
    border-radius:5px;
    overflow:hidden;
    box-shadow:0 10px 25px rgba(0,0,0,.06);
    transition:.3s;
    height:100%;
}

.event-card:hover{
    transform:translateY(-8px);
}

/* .event-image img{
    width:100%;
    height:320px;
    object-fit:cover;
    display:block;   
} */

.event-image{
    overflow:hidden;
}

.event-image img{
    width:100%;
    height:auto;
    object-fit:contain;
    background:#f5f5f5;
}

@media (max-width: 992px){
    .event-image img{
        height:350px;
    }
}

@media (max-width: 576px){
    .event-image img{
        height:250px;
    }
}

.event-body{
    padding:30px;
}

.event-date{
    color:var(--e-global-color-primary);
    font-weight:600;
    margin-bottom:25px;
}

.event-content{
    display:grid;
    grid-template-columns:1fr 1fr;
    gap:30px;
}

.event-left h3{
    font-size:22px;
    line-height:1.3;
    color:var(--e-global-color-primary);
    font-weight:700;
}

.event-right p{
    color:#111;
    line-height:1.9;
    font-size:18px;
}

.event-badge{
    display:inline-flex;
    margin-top:30px;
    padding:10px 18px;
    border-radius:50px;
    font-size:14px;
    font-weight:600;
}

.academic{
    background:#ffe5ea;
    color:#e63946;
}

.music{
    background:#fff4d9;
    color:#d97706;
}

.sports{
    background:#dcfce7;
    color:#16a34a;
}

.tech{
    background:#dbeafe;
    color:#2563eb;
}

/* arrows */

.eventSwiper .swiper-button-next,
.eventSwiper .swiper-button-prev{
    width:65px !important;
    height:65px !important;
    background:#fff !important;
    border-radius:50%;
    box-shadow:0 10px 25px rgba(0,0,0,.12);
    top: 40%;
}

.eventSwiper .swiper-button-prev{
    left:0px !important;
}

.eventSwiper .swiper-button-next{
    right:0px !important;
}

.eventSwiper .swiper-button-next:after,
.eventSwiper .swiper-button-prev:after{
    font-size:20px !important;
    color:var(--e-global-color-primary) !important;
    font-weight:700;
}

/* pagination */

.eventSwiper .swiper-pagination{
    position:relative !important;
    margin-top:40px;
    display:flex;
    align-items:center;
    justify-content:center;
    gap:8px;
}

.eventSwiper .swiper-pagination-bullet{
    width:10px;
    height:10px;
    margin:0 !important;
    border-radius:999px;
    background:#c7c7c7;
    opacity:1;
    transform:scale(1);
    transition:width .32s ease, background-color .32s ease, transform .32s ease;
}

.eventSwiper .swiper-pagination-bullet-active{
    width:34px;
    background:var(--e-global-color-primary);
    transform:scale(1);
}

@media(max-width:991px){

    .events-title{
        font-size:42px;
    }

    .event-content{
        grid-template-columns:1fr;
    }

    .event-left h3{
        font-size:24px;
    }

    .event-right p{
        font-size:16px;
    }

    .events-section{
        padding:30px;
    }

    .eventSwiper .swiper-slide{
        width:82vw !important;
    }
}

@media(max-width:576px){
    .eventSwiper .swiper-slide{
        width:88vw !important;
    }

    .eventSwiper .swiper-button-next,
    .eventSwiper .swiper-button-prev{
        width:52px !important;
        height:52px !important;
    }
}